@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.boiwgh0w5b.bundle.scp.css';

/* /Components/App.razor.rz.scp.css */

[b-tjkoyrrcsb] .message-container {
	justify-content: end
}

	[b-tjkoyrrcsb] .message-container[data-isassistant] {
		justify-content: start;
	}

[b-tjkoyrrcsb] .chat-message {
	width: 100%;
}

	[b-tjkoyrrcsb] .chat-message:not([data-isassistant]) {
		background-color: var(--bs-info-bg-subtle) !important;
		border-bottom-right-radius: 0 !important
	}

	[b-tjkoyrrcsb] .chat-message[data-isassistant] {
		
		border-bottom-left-radius: 0 !important;
	}

	[b-tjkoyrrcsb] .chat-message img {
		max-width: -webkit-fill-available;
	}

@media (min-width: 992px) {
	[b-tjkoyrrcsb] .chat-container {
		height: calc(100vh - 5rem);
	}

	[b-tjkoyrrcsb] .chat-message {
		max-width: 30vw;
	}

	[b-tjkoyrrcsb] .chat-container > :first-child {
		width: 30%;
		max-width: 30%;
	}
}
/* /Components/GrigliaDocumenti.razor.rz.scp.css */
.griglia-documenti[b-5zmqwj96c1] {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
}
/* /Layout/MainLayout.razor.rz.scp.css */
.container-fluid[b-jqv7a89hgk] {
	margin-top: 5rem;
}
/* /Layout/Navbar.razor.rz.scp.css */
.nav-item[b-mmrj8f2kdx] {
	margin-inline: 0.3rem;
}

	.nav-item > *:hover[b-mmrj8f2kdx] {
		background: none !important;
	}
/* /Pages/Authenticated/Chat/Chat.razor.rz.scp.css */
@media (min-width: 992px) {
	.chat-container[b-u1yqcce66m]  > :first-child {
		width: fit-content !important;
	}
}
/* /Pages/Authenticated/Tickets/Components/TabellaTickets.razor.rz.scp.css */
[b-7mlo9hxgob] .table.table-no-padding > :not(caption) > * > * {
	padding-inline: 1rem;
	padding-block: 0.5rem;
}

[b-7mlo9hxgob] .table.table-no-padding > :not(caption) > * > :first-child, [b-7mlo9hxgob] .table.table-no-padding > :not(caption) > * > :last-child {
	padding-inline: 0 !important;
}

.table[b-7mlo9hxgob] {
	table-layout: fixed
}

[b-7mlo9hxgob] .quickgrid tr:has(td:empty) {
	display: none;
}


[b-7mlo9hxgob] .colonna-max-desc {
	max-width: 300px;
}
/* /Pages/Authenticated/Tickets/CreaTicketLocal.razor.rz.scp.css */
@media (min-width: 768px) {
	.w-md-50[b-2o60gxv4ko] {
		width: 50% !important;
	}
}

.card[b-2o60gxv4ko] {
	aspect-ratio: 1 / 1;
	text-align: center;
	padding-top: 1rem;
	padding-inline: 1rem;
}

.card-img-top[b-2o60gxv4ko] {
	object-fit: contain;
	margin-inline: auto;
}

.btn-check[b-2o60gxv4ko] {
	display: none;
}

.select-card[b-2o60gxv4ko] {
	max-width: 300px;
	border: 2px solid #ced4da;
	transition: border-color .2s;
	border-width: medium;
	cursor: pointer;
}

.btn-check:checked + label.select-card[b-2o60gxv4ko] {
	border-color: var(--bs-primary);
	border-width: medium;
}

.btn-check:focus + label.select-card[b-2o60gxv4ko] {
	box-shadow: 0 0 0 .25rem rgba(--bs-primary-border-subtle);
}

/* Gestione Sottocategorie*/

.col.card-container[b-2o60gxv4ko] {
	display: none !important;
}

	.col.card-container.show[b-2o60gxv4ko] {
		display: unset !important;
	}

/* Gestione Stepper */

.stepper-step-title[b-2o60gxv4ko] {
	margin-bottom: 1rem;
}
.stepper-step-container[b-2o60gxv4ko] {
	display: none;
	margin-top: 1rem;
}

	.stepper-step-container.show[b-2o60gxv4ko] {
		display: unset;
	}
/* /Pages/Authenticated/Tickets/ViewTicket.razor.rz.scp.css */
.suggestions-box[b-y47be603mc] {
	position: absolute;
	z-index: 1000;
	width: 100%;
	background: white;
	border: 1px solid #ddd;
	border-radius: 0.5rem;
	box-shadow: 0 4px 8px rgba(0,0,0,0.05);
	max-height: 250px;
	overflow-y: auto;
}

.suggestion-item[b-y47be603mc] {
	padding: 0.5rem 0.75rem;
	cursor: pointer;
}

	.suggestion-item:hover[b-y47be603mc],
	.suggestion-item.active[b-y47be603mc] {
		background-color: #f8f9fa;
	}

[b-y47be603mc] .tox.invalid-input {
	border: 1px solid var(--bs-danger)
}
/* /Pages/Login/AdditionalInfo.razor.rz.scp.css */
hr.interrotta[b-53g2ll6cyl] {
	border-top: 1px solid #ccc; /* spessore e colore */
	margin: 0;
}
/* /Pages/Login/InsertToken.razor.rz.scp.css */
hr.interrotta[b-yz7wk2p97f] {
	border-top: 1px solid #ccc; /* spessore e colore */
	margin: 0;
}
/* /Pages/Login/Login.razor.rz.scp.css */
hr.interrotta[b-j45pg03kk4] {
	border-top: 1px solid #ccc; /* spessore e colore */
	margin: 0;
}
